# class CSSStyleSheet

#### package js.html

#### extends StyleSheet

Available on HTML5

The `CSSStyleSheet` interface represents a single CSS style sheet. It inherits properties and methods from its parent, `StyleSheet`.

Documentation CSSStyleSheet by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/CSSStyleSheet

### Variables

###

`read onlycssRules:CSSRuleList`

###

`read onlyownerRule:CSSRule`

### Methods

###

`deleteRule (index:Int):Void`

Throws:

`null` | DOMError

###

`insertRule (rule:String, index:Int):Int`

Throws:

`null` | DOMError

### Inherited Variables

#### Defined by StyleSheet

###

`disabled:Bool`

Is a `Boolean` representing whether the current stylesheet has been applied or not.

###

`read onlyhref:String`

Returns a `DOMString` representing the location of the stylesheet.

###

`read onlymedia:MediaList`

Returns a `MediaList` representing the intended destination medium for style information.

###

`read onlyownerNode:Node`

Returns a `Node` associating this style sheet with the current document.

###

`read onlyparentStyleSheet:StyleSheet`

Returns a `StyleSheet` including this one, if any; returns `null` if there aren't any.

###

`read onlytitle:String`

Returns a `DOMString` representing the advisory title of the current style sheet.

###

`read onlytype:String`

Returns a `DOMString` representing the style sheet language for this style sheet.

### Inherited Methods